[ Table Of Contents ]

# img-flir(n) 2.1 doc "Img"

## Name

img-flir - FLIR FPF Public Image format (flir)

## Synopsis

- package require img::flir ?2.1?

## Description

package require img::flir

Like all packages of Img it does not provide new commands, but extends the existing Tk command image, so that it supports files containing raster images in the FLIR FPF Public Image format (flir). More specifically img::flir extends Tk's photo image type.

The name of the new format handler is flir. This handler provides new additional configuration options. See section Options for more detailed explanations.

All of the above means that in a call like

image create photo ?name? ?options?

1. Image data in flir format (options -data and -file) is detected automatically.

2. The format name flir is recognized by the option -format.

In addition the value of option -format is treated as a list and may contain any of the special options listed in section Options.

The package img::flir is not loaded when doing a package require Img, but must be loaded explicitly via package require img::flir.

## Notes

1. This format handler interprets FLIR temperature files as grayscale images.

2. Temperature values specified as short, int, float and double are supported.

3. This format handler only supports read functionality.

## Options

The handler provides the following options:

-verbose bool

  Available since version 1.4.9.

  If set to true, additional information about the read data is printed to stdout. Default is false.

-map string

  Available since version 1.4.9.

  Specify the mode when mapping the 16, 32 or 64-bit temperature values to 8-bit grayscale values for displaying. Possible values: none, minmax, agc. Default mode is minmax.

  1. If mode is set to none, no mapping of input values is done. Use this mode, if the input values are already in the range of 0 ..255. When using mode none, no information about the minimum and maximum input values is gathered during reading and therefore no verbose output is printed. On the other hand reading the input data is faster.

  2. Mode minmax maps the minimum and maximum input data to 256 grayscale values.

  3. Mode agc applies an automatic gain control algorithmn to the input values. Currently implemented for 1-channel 32-bit float images only.

-min double

  Available since version 1.4.9.

  Specify the minimum pixel value to be used for mapping the input data to 8-bit image values. If not specified or negative, the minimum value found in the image data. Valid for mapping mode: minmax.

-max double

  Available since version 1.4.9.

  Specify the maximum pixel value to be used for mapping the input data to 8-bit image values. If not specified or negative, the maximum value found in the image data. Valid for mapping mode: minmax.

-gamma double

  Available since version 1.4.9.

  Specify a gamma correction to be applied when mapping the input data to 8-bit image values. Default is 1.0. Valid for mapping modes: minmax and agc.

-saturation double

  Available since version 1.4.9.

  The supplied value specifies the saturation value, i.e. all input values greater than the saturation value are mapped to white. If not specified or negative, do not use saturation. Valid for mapping mode: agc.

-cutoff double

  Available since version 1.4.9.

  The supplied value specifies the cut-off value in percent. The cut-off value specifies, how many pixels from the lower and upper part of the histogram are not considered for mapping. This option is useful, if there are some hot or cold spots in the image. Default is 3.0. Valid for mapping mode: agc.

## See Also

img, img-bmp, img-dted, img-flir, img-gif, img-ico, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

## Copyright

Copyright © 1995-2025 Jan Nijtmans <nijtmans@users.sourceforge.net>
Copyright © 2002-2025 Andreas Kupries <andreas_kupries@users.sourceforge.net>
Copyright © 2003-2025 Paul Obermeier <obermeier@users.sourceforge.net>